  xcCustom = {
  {"STA", 42.824101, -71.423681},      -- parameters are waypoint name, latitude, longitude
  {"WP1", 42.824348, -71.428071},      -- a minimum of three waypoints are required
  {"WP2", 42.819736, -71.424117},      -- duplicates are OK as long as they are not adjacent
  {"WP3", 42.819988, -71.427973},      -- start and finish (first and last) will render as lines
  {"FIN", 42.824101, -71.423681},      -- all other waypoints are rendered as cylinders
  }


local function init()
  xcC={{
      48.818866, -- origin latitude
      11.532654, -- origin longitude
      100,      -- initial course heading (0 - 360)
      150       -- leg length
    },
    {},
    0, -- default course type 0=Triangle, 1=2 Line, 2=Line / Cyl, 3=Custom
    30, -- time limit in minutes - zero is unlimited
    0  -- lap limit - zero is unlimited
  }
  sim=false -- simulator options are true or false
  -- set the default starting position for the simulator (will be overridden if GPS lock occurs)
  cPos[1]=42.82189
  cPos[2]=-71.42539
  xcIOWidth = 50 -- width of in/out announcements in meters
end

local function run(e)
  lcd.clear()
  lcd.drawText(1,1,"GPS Racing - Defaults and simulator",0)
  if sim then
    lcd.drawText(1,11,"SIMULATION",DBLSIZE)
  else
    lcd.drawText(1,11,"TELEMETRY",DBLSIZE)
  end
  lcd.drawText(106, 16,"Press ENT to change mode",0)
  lcd.drawText(1,31,"Lat:",0)
  lcd.drawText(lcd.getLastPos()+2,31,rnd(cPos[1],5),0)
  lcd.drawText(1,41,"Lng:",0)
  lcd.drawText(lcd.getLastPos()+2,41,rnd(cPos[2],5),0)
  lcd.drawText(1, 56, "Mem:", 0)
  lcd.drawText(lcd.getLastPos() + 4, 56, rnd(collectgarbage("count"), 4), 0)
  if e == EVT_ENTER_BREAK then sim = not sim end
end

return{init=init,run=run}

